package com.jiuqi.dna.ide.designer.toolkit;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;

/* loaded from: com_jiuqi_dna_ide_designer_toolkit.jar:com/jiuqi/dna/ide/designer/toolkit/LayoutDataDescriptor.class */
public class LayoutDataDescriptor implements Serializable {
    private static final long serialVersionUID = 5533077077601798273L;
    private String layoutDataName;
    private ArrayList<PropertyDescriptor> propertyDescriptors = new ArrayList<>();

    public String getLayoutDataName() {
        return this.layoutDataName;
    }

    public void setLayoutDataName(String layoutDataName) {
        this.layoutDataName = layoutDataName;
    }

    public void addPropertyDescriptor(PropertyDescriptor propertyDescriptor) {
        this.propertyDescriptors.add(propertyDescriptor);
    }

    public void removePropertyDescriptor(PropertyDescriptor propertyDescriptor) {
        this.propertyDescriptors.remove(propertyDescriptor);
    }

    public ArrayList<PropertyDescriptor> getPropertyDescriptors() {
        return this.propertyDescriptors;
    }

    public PropertyDescriptor getPropertyDescriptor(String propertyName) {
        if (propertyName == null) {
            throw new NullPointerException("布局数据属性名propertyName不能为NULL");
        }
        Iterator<PropertyDescriptor> it = this.propertyDescriptors.iterator();
        while (it.hasNext()) {
            PropertyDescriptor descriptor = it.next();
            if (propertyName.equals(descriptor.getPropertyName())) {
                return descriptor;
            }
        }
        return null;
    }
}
